Bug 168523 - [PATCH] sysutils/smartmontools smartd can't see ada(4) disks on ata buses
[PATCH] sysutils/smartmontools smartd can't see ada(4) disks on ata buses
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
Depends on:
  Show dependency treegraph
Reported: 2012-06-01 13:00 UTC by dark
Modified: 2012-06-19 21:40 UTC (History)
0 users

See Also:

smartmontools.patch (1.52 KB, patch)
2012-06-01 13:00 UTC, dark
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dark 2012-06-01 13:00:06 UTC
Smartd can scan buses for find SMART devices (DEVICESCAN smartd.conf directive).
This scan skips devices on buses named "ata" via cam(4) subsystem to skip atapicam(4)
(acd(4) to cd(4) kernel proxy) devices. With new ATA_CAM subsystem ATA disks may live
on "ata" bus, namely ada(4) devices, but smartmontools skip this. This patch fixes it.

Fix: Use patch.
After patching disks are successfully found:
# newport/smartmontools/home/dark/newport/smartmontools/work/smartmontools-5.42/smartctl --scan
/dev/ada0 -d atacam # /dev/ada0, ATA device
/dev/ada1 -d atacam # /dev/ada1, ATA device
/dev/ada2 -d atacam # /dev/ada2, ATA device
How-To-Repeat: 1. Find motherboard with generic ata controller (not Silicon siis(4), marvell mvs(4) or AHCI ahci(4)).

2. Run smartmontools scan:
# smartctl --scan

Empty output :(
Comment 1 Edwin Groothuis freebsd_committer 2012-06-01 16:38:00 UTC
Maintainer of sysutils/smartmontools,

Please note that PR ports/168523 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:

Edwin Groothuis via the GNATS Auto Assign Tool
Comment 2 Edwin Groothuis freebsd_committer 2012-06-01 16:38:02 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 scheidell freebsd_committer 2012-06-18 09:26:35 UTC
State Changed
From-To: feedback->open

Feedback timeout. Patch can be committed.
Comment 4 Guido Falsi freebsd_committer 2012-06-19 09:44:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 5 dfilter freebsd_committer 2012-06-19 21:36:28 UTC
madpilot    2012-06-19 20:36:11 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/smartmontools Makefile 
  Added files:
    sysutils/smartmontools/files patch-atacam 
  - Fix scanning of ada disks on ata busses
  PR:             ports/168523
  Submitted by:   Konstantin Kukushkin <dark@rambler-co.ru>
  Approved by:    maintainer timeout (18 days)
  Approved by:    tabthorpe (mentor)
  Revision  Changes    Path
  1.59      +1 -1      ports/sysutils/smartmontools/Makefile
  1.1       +25 -0     ports/sysutils/smartmontools/files/patch-atacam (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Guido Falsi freebsd_committer 2012-06-19 21:37:40 UTC
State Changed
From-To: open->closed

Committed. Thanks!